Solved

Shopify CLI - "shopify theme serve" An unexpected error occored

HenryAuffahrt
Shopify Partner
66 3 31

I often work with the Shopify CLI and have never had any problems. However, I created a new dev store and created the dawn theme local for myself. If I now want to play this out via `shopify theme serve`. I get the following error message.

 

Screenshot 2022-04-06 at 10.29.48.png

I can reproduce this error every time. I don't understand why it only happens with new DEV stores.

What I have already tried:
- Shopify logout and log in again
- Created an employee account and logged in.

 

Can anyone help me with this? How can I add the environment variable SHOPIFY_CLI_STACKTRACE=1?

I am working under a MacBook Pro M1 and with the Shopify CLI version 2.15.2.

 

Thanks a lot for your help!

SEO & Webdeveloper @ Better Sell Online
Accepted Solution (1)

HenryAuffahrt
Shopify Partner
66 3 31

This is an accepted solution.

After some Updates from the Shopify CLI it seems to work. Just try to update, and if it's still not working, try maybe a downgrade. 

For me is the learning: Do not fast forwards regarding Shopify CLI updates 😄

SEO & Webdeveloper @ Better Sell Online

View solution in original post

Replies 3 (3)

FolkFather
Visitor
1 0 0

Having the same Issue!  with the same computer and CLI version. 

HenryAuffahrt
Shopify Partner
66 3 31

I just updated my Shopify CLI to the newest version 2.15.5. But I'm having the same error as before. Any one can help?

SEO & Webdeveloper @ Better Sell Online

HenryAuffahrt
Shopify Partner
66 3 31

This is an accepted solution.

After some Updates from the Shopify CLI it seems to work. Just try to update, and if it's still not working, try maybe a downgrade. 

For me is the learning: Do not fast forwards regarding Shopify CLI updates 😄

SEO & Webdeveloper @ Better Sell Online